<!-- Main component for a primary marketing message or call to action -->
<div class="jumbotron">
  <h1>Weather Data For {{cityName}}</h1>
  <form>
    <select [(ngModel)] = "cityName" #city = "ngModel" name="cityNameField" class="form-control" (ngModelChange) = "updateWeather()">
      <option *ngFor="let abc of cityArray">{{abc}}</option>
    </select>
  </form>
  <table class="table table-bordered">
    <thead>
      <tr>
        <th>Cords</th>
        <th>Description</th>
        <th>Visibility</th>
      </tr>
    </thead>
    <tbody>
    <tr *ngIf="weatherData">
      <td>{{weatherData.coord.lat}} , {{weatherData.coord.lon}}</td>
      <td>{{weatherData.weather[0].description}}</td>
      <td>{{weatherData.visibility}}</td>
    </tr>
    </tbody>
  </table>
</div>
